import request from '@/utils/request'

// 查询保险商品列表
export function listInsuranceGoods(query) {
  return request({
    url: '/system/insuranceGoods/list',
    method: 'get',
    params: query
  })
}

// 查询保险商品详细
export function getInsuranceGoods(id) {
  return request({
    url: '/system/insuranceGoods/' + id,
    method: 'get'
  })
}

// 新增保险商品
export function addInsuranceGoods(data) {
  return request({
    url: '/system/insuranceGoods',
    method: 'post',
    data: data
  })
}

// 修改保险商品
export function updateInsuranceGoods(data) {
  return request({
    url: '/system/insuranceGoods',
    method: 'put',
    data: data
  })
}

// 删除保险商品
export function delInsuranceGoods(id) {
  return request({
    url: '/system/insuranceGoods/' + id,
    method: 'delete'
  })
}
